ParsedResultType (ZXing 3.5.0 API)

com.google.zxing.client.result

## Enum ParsedResultType

- java.lang.Object
- - java.lang.Enum<ParsedResultType>
  - - com.google.zxing.client.result.ParsedResultType

- All Implemented Interfaces:
    Serializable, Comparable<ParsedResultType>

      public enum ParsedResultType
      extends Enum<ParsedResultType>

  Represents the type of data encoded by a barcode -- from plain text, to a URI, to an e-mail address, etc.
  Author:
    Sean Owen

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDRESSBOOK`
    `CALENDAR`
    `EMAIL_ADDRESS`
    `GEO`
    `ISBN`
    `PRODUCT`
    `SMS`
    `TEL`
    `TEXT`
    `URI`
    `VIN`
    `WIFI`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ParsedResultType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ParsedResultType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADDRESSBOOK

          public static final ParsedResultType ADDRESSBOOK

    - #### EMAIL_ADDRESS

          public static final ParsedResultType EMAIL_ADDRESS

    - #### PRODUCT

          public static final ParsedResultType PRODUCT

    - #### URI

          public static final ParsedResultType URI

    - #### TEXT

          public static final ParsedResultType TEXT

    - #### GEO

          public static final ParsedResultType GEO

    - #### TEL

          public static final ParsedResultType TEL

    - #### SMS

          public static final ParsedResultType SMS

    - #### CALENDAR

          public static final ParsedResultType CALENDAR

    - #### WIFI

          public static final ParsedResultType WIFI

    - #### ISBN

          public static final ParsedResultType ISBN

    - #### VIN

          public static final ParsedResultType VIN

  - ### Method Detail

    - #### values

          public static ParsedResultType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParsedResultType c : ParsedResultType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ParsedResultType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2007–2022. All rights reserved.